var $AdfDhtmlOutputFormattedPeer$$ = $AdfRichUIPeer$$.$createPeerClass$($AdfDhtmlValuePeer$$, "AdfDhtmlOutputFormattedPeer");
$goog$exportSymbol$$("AdfDhtmlOutputFormattedPeer", $AdfDhtmlOutputFormattedPeer$$);
$AdfDhtmlOutputFormattedPeer$$.prototype.$SetDisplayValue$ = function $$AdfDhtmlOutputFormattedPeer$$$$$SetDisplayValue$$($cleanedSpan_component$$1620$$, $domElement$$344$$, $newValue$$112$$) {
  $AdfAssert$$.$assertString$($newValue$$112$$);
  "string" != typeof $newValue$$112$$ && ($newValue$$112$$ = $newValue$$112$$.toString());
  $cleanedSpan_component$$1620$$ = $AdfDomUtils$$.$cleanHtml$(this.$getDomDocument$(), $newValue$$112$$);
  for ($domElement$$344$$.innerHTML = "";$cleanedSpan_component$$1620$$.firstChild;) {
    $domElement$$344$$.appendChild($cleanedSpan_component$$1620$$.firstChild);
  }
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlOutputFormattedPeer.prototype.SetDisplayValue", {$SetDisplayValue$:$AdfDhtmlOutputFormattedPeer$$.prototype.$SetDisplayValue$});
$AdfDhtmlOutputFormattedPeer$$.prototype.$GetDisplayValue$ = function $$AdfDhtmlOutputFormattedPeer$$$$$GetDisplayValue$$($component$$1621$$, $domElement$$345$$) {
  $AdfDomUtils$$.$stripScripts$($domElement$$345$$);
  return $domElement$$345$$.innerHTML;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlOutputFormattedPeer.prototype.GetDisplayValue", {$GetDisplayValue$:$AdfDhtmlOutputFormattedPeer$$.prototype.$GetDisplayValue$});
